You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
78 lines
4.1 KiB
78 lines
4.1 KiB
From 6c37d05e3387c0cd9109587fb5065f1ececec22a Mon Sep 17 00:00:00 2001
|
|
From: Jerry Snitselaar <jsnitsel@redhat.com>
|
|
Date: Sat, 13 Apr 2024 01:38:38 -0700
|
|
Subject: [PATCH 3/3] accel-config/test: Clean up typo
|
|
'Content-type: text/plain'
|
|
|
|
Replace "shoudl" with "should" in dsa_conf_test_runner.sh
|
|
|
|
Signed-off-by: Jerry Snitselaar <jsnitsel@redhat.com>
|
|
---
|
|
test/dsa_config_test_runner.sh | 32 ++++++++++++++++----------------
|
|
1 file changed, 16 insertions(+), 16 deletions(-)
|
|
|
|
diff --git a/test/dsa_config_test_runner.sh b/test/dsa_config_test_runner.sh
|
|
index 740648a91d94..103f1ee25530 100755
|
|
--- a/test/dsa_config_test_runner.sh
|
|
+++ b/test/dsa_config_test_runner.sh
|
|
@@ -185,9 +185,9 @@ wq_config_test()
|
|
fi
|
|
"$ACCFG" enable-device $DSA
|
|
"$ACCFG" enable-wq $DSA/$WQ0
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
"$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x1 -b 0x4 -c 2 "${VERBOSE}" &&
|
|
- echo "shoudl fail, but pass" && exit 1
|
|
+ echo "should fail, but pass" && exit 1
|
|
"$ACCFG" disable-device $DSA
|
|
|
|
"$ACCFG" config-wq $DSA/$WQ0 -g 0 -m dedicated -y user -n app1 -d user -p 10 -o 8
|
|
@@ -198,10 +198,10 @@ wq_config_test()
|
|
fi
|
|
"$ACCFG" enable-device $DSA
|
|
"$ACCFG" enable-wq $DSA/$WQ0
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" || echo "shoudl pass, but fail" || exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x5 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" || echo "should pass, but fail" || exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x5 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
"$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x1 -b 0x3 -c 2 "${VERBOSE}" &&
|
|
- echo "shoudl fail, but pass" && exit 1
|
|
+ echo "should fail, but pass" && exit 1
|
|
"$ACCFG" disable-device $DSA
|
|
|
|
"$ACCFG" config-wq $DSA/$WQ0 -g 0 -m dedicated -y user -n app1 -d user -p 10 -o 272
|
|
@@ -212,19 +212,19 @@ wq_config_test()
|
|
fi
|
|
"$ACCFG" enable-device $DSA
|
|
"$ACCFG" enable-wq $DSA/$WQ0
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x0 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x2 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x7 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x8 "${VERBOSE}" && echo "shoudl fail, but pass" && exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x4 "${VERBOSE}" || echo "shoudl pass, but fail" || exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x5 "${VERBOSE}" || echo "shoudl pass, but fail" || exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x6 "${VERBOSE}" || echo "shoudl pass, but fail" || exit 1
|
|
- "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x9 "${VERBOSE}" || echo "shoudl fail, but pass" || exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x0 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x2 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x3 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x7 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x8 "${VERBOSE}" && echo "should fail, but pass" && exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x4 "${VERBOSE}" || echo "should pass, but fail" || exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x5 "${VERBOSE}" || echo "should pass, but fail" || exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x6 "${VERBOSE}" || echo "should pass, but fail" || exit 1
|
|
+ "$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x9 "${VERBOSE}" || echo "should fail, but pass" || exit 1
|
|
"$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x1 -b 0x5 -c 2 "${VERBOSE}" ||
|
|
- echo "shoudl pass, but fail" || exit 1
|
|
+ echo "should pass, but fail" || exit 1
|
|
"$DSATEST" -w 0 -l 4096 -f 0x1 -o 0x1 -b 0x9 -c 2 "${VERBOSE}" ||
|
|
- echo "shoudl pass, but fail" || exit 1
|
|
+ echo "should pass, but fail" || exit 1
|
|
"$ACCFG" disable-device $DSA
|
|
fi
|
|
}
|
|
--
|
|
2.44.0
|
|
|